> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# period

> Period values - Day, Week, Month, Quarter, Year

## "period" MDO List

Period values: Day, Week, Month, Quarter, Year

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PeriodProvider">PeriodProvider</see> class.
The name of the MDO list is 'period'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/period
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("period", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 1  | Day       |           |           |
| 2  | Week      |           |           |
| 3  | Month     |           |           |
| 4  | Quarter   |           |           |
| 5  | Half year |           |           |
| 6  | Year      |           |           |

## Related MDO Lists

* "periodheadings"
* "periodheadingswithallitem"
* "periodheadingswithallitemwithnoselection"
* "periodheadingswithnoselection"
* "periodwithallitem"
* "periodwithallitemwithnoselection"
* "periodwithnoselection"


## Related topics

- [periods](/en/api/mdo-providers/reference/periods.md)
- [target_period table](/en/database/tables/target-period.md)
- [Unary time-periods](/en/api/search/odata/unary.md)
- [NSStatusMonitorPeriods](/en/automation/crmscript/reference/CRMScript.NetServer.NSStatusMonitorPeriods.md)
- [Save Status Monitor Periods](/en/api/reference/restful/agent/saint_agent/save-status-monitor-periods.md)
- [Get Status Monitor Periods](/en/api/reference/restful/agent/saint_agent/get-status-monitor-periods.md)
